﻿/*Kompakt Anfrage*/
.group-start td {
    padding: 0px !important;
}

@media (max-width: 767px) {
    .hideElement {
        display: none;
    }
}

.kompaktAnfrageOuter {
    font-size: medium;
    cursor: default;
    padding: 0px;
    min-height: 30px;
}

.kompaktAnfrageTopBar {
    padding: 0px;
    min-height: 30px;
}

.kompaktAnfrageTopBarLeft {
    padding: 0px;
    margin-left: 20px;
}

.kompaktAnfrageText {
    padding: 0px;
    font-size: 20px;
    min-height: 30px;
}

.kompaktAnfrageTextLink {
    cursor: pointer;
    vertical-align: bottom;
    line-height: 30px;
}

.kompaktAnfrageTextLink:hover {
    color: inherit;
}

.kompaktAnfrageCenterBlock {
    flex: 1 1 auto;
    align-self: flex-end;
    font-size: 11px;
    padding: 0px;
    max-height: 30px;
}

.kompaktAnfrageIconsContainer {
    text-align: right;
    margin-right: 20px;
}

.kompaktAnfrageIconsContainerInner {
    text-align: right;
    vertical-align: middle;
    flex: 0 0 auto;
    min-width: 100px;
    white-space: nowrap;
}

.kompaktAnfrageIconStyle {
    color: inherit;
    cursor: pointer;
    text-decoration: none;
}

    .kompaktAnfrageIconStyle:hover {
        text-decoration: none;
        
    }

.kompaktAnfrageBottomBar {
    margin-left: 20px;
    font-size: 10px;
    font-weight: normal;
    vertical-align: top;
    height: 16px;
    line-height: 15px;
    text-align: left;
    white-space: nowrap;
}

    /*Kompakt Bewerber*/
    .kompaktBewerberOuter {
        margin-left: 20px;
        margin-right: 20px;
        display: flex;
    }

.kompaktBewerberBlockLeft {
    text-align: left;
    display: inline-block;
    flex-grow: 1;
}

.kompaktBewerberBlockRight {
    text-align: right;
    display: inline-block;
    flex-grow: 1;
}

.kompaktBewerberStatusIcon {
    height: 15px;
    width: 15px;
    border-radius: 50%;
    display: inline-block;
    border: 1px solid black;
    max-height: 20px;
    max-width: 20px;
    vertical-align: middle;
}

.kompaktBewerberDokumentOuter {
    font-size: 10px;
    flex: 1 1 auto;
    height: 20px;
}

.kompaktBewerberDokumentInner {
    max-height: 20px !important;
    line-height: 20px;
    vertical-align: middle;
}

/*Kompakt*/

.kompaktOuter {
    max-width: 1250px;
    margin: 0 auto;
}

.kompaktTitel {
    width: 100%;
    padding: 8px 0 0 0;
    margin: 0px;
}


/* Icons für die Bemerkungsfelder */
.kompaktBewerberBlockLeft .bemerkung {
    font-size:16px;
}
/*Kompakt Bewerber Übersicht*/
.kompaktColumns {
    padding-left: 15px !important;
    padding-bottom: 15px !important;
    padding-top: 15px !important;
    padding-right: 15px !important;
}

.kompaktColumnLeft {
    width: 70% !important;
    float: left;
}

.kompaktColumnRight {
    width: 30% !important;
    float: left;
}

.columnBemerkungen .displayIcon {
    float: left;
    font-size: 20px;
    color: slategray;
    vertical-align: text-bottom;
    margin-right: 5px;
}

.columnBemerkungen .bewerberName {
    float: left;
    font-weight: bold;
    line-height: 18px;
    vertical-align: central;
}

    .columnBemerkungen .bewerberName .verfügbarkeitsStatus {
        font-size: smaller;
        font-weight: normal;
    }

.columnBemerkungen .anfragenLink {
    text-wrap: normal;
    overflow: hidden;
    text-overflow: ellipsis;
}

.columnBemerkungen .bemerkung {
    color: darkgray;
}

.columnBemerkungen .bemerkungEntleiherExtern {
    font-style: italic;
}

.columnBemerkungen .bemerkungText {
    font-size: smaller;
    font-weight: bold;
}

/**/
/* Styling für den Dashboard-Ansicht-Switch */
/**/
.switch-btn-group .iconSize {
    font-size: 15px;
    vertical-align: middle;
    margin-top: -10px;
}

.switch-btn-group button {
    border: 1px solid #a7a6a6;
    cursor: pointer; /* Pointer/hand icon */
    float: left; /* Float the buttons side by side */
    font-size: 26px;
    height: 34px;
    width: 40px;
    outline:none;
    color: #555;
}

.switch-btn-group button:first-child {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.switch-btn-group button:last-child {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.switch-btn-group button.active {
    background-color: darkgray;
    cursor: unset;
}

/* Add a background color on hover */
.switch-btn-group button:not(.active):hover {
    background-color: slategray;
}

/* Clear floats (clearfix hack) */
.switch-btn-group:after {
    content: "";
    clear: both;
    display: table;
}

.switch-btn-group button:not(:last-child) {
    border-right: none; /* Prevent double borders */
}

